Subject: Re: ms/sendemail-validate-headers, was Re: What's cooking in git.git (Nov 2022, #03; Mon, 14)

From: "Strawbridge, Michael" <[email-masked]>
Date: Wed, 16 Nov 2022 11:48:21 +0000

For ms/sendemail-validate-headers (2022-11-11) 1 commit:

My apologies.  I think not having the patches chained in the same email
is causing confusion.  I did have some review on these emails:

v0 - https://public-inbox.org/git/[email-masked]/T/#u 
  + replies: Brian M Carlson, Taylor Blau
v1 - https://public-inbox.org/git/[email-masked]/T/#t
  + replies: Luben Tuikov, Ævar Arnfjörð Bjarmason
v2 - https://public-inbox.org/git/[email-masked]/T/#t
v3 - https://public-inbox.org/git/[email-masked]/T/#t
  + replies: Johannes Schindelin

I'm currently in the process of trying to run the T9001 tests.  I am
getting: error: test_bool_env requires bool values both for
$GIT_TEST_PASSING_SANITIZE_LEAK and for the default fallback.  I do
wonder if the change in validation location (as Brian mentioned) is
changing output (even though the new location is needed to have all
information for headers).  I'll keep looking into it.

Thanks,
Michael Strawbridge

Taylor Blau <[email-masked]> writes:

> On Tue, Nov 15, 2022 at 03:04:29PM +0100, Johannes Schindelin wrote:
>> Hi Taylor,
>>
>> On Mon, 14 Nov 2022, Taylor Blau wrote:
>>
>> > * ms/sendemail-validate-headers (2022-11-11) 1 commit
>> >  - Expose header information to git-send-email's sendemail-validate hook
>> >
>> >  Expecting a reroll.
>> >  source: <[email-masked]>
>>
>> I see this mail, but no replies. Is it really appropriate to label this as
>> "Expecting a reroll"?
>
> Thanks for spotting. I wrote this one from memory, but in retrospect I
> think I was thinking of a different thread [1] between the patch author
> and brian where there was some discussion (but no patches).
>
>> A more appropriate label would be "Breaks t9001", I would think, and the
>> reference should probable be <[email-masked]>
>> instead (but I sent that out only a couple of minutes ago, so I would
>> still be curious why it was marked as "Expecting a reroll").
>
> Yes, let's keep this out of 'seen' since it has seen no review and
> breaks t9001. I'll update my notes accordingly, thanks.
>
> Thanks,
> Taylor
>
> [1]:
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Flore.kernel.org%2Fgit%2F87czcm7maf.fsf%40amd.com%2F%23t&amp;data=05%7C01%7CMichael.Strawbridge%40amd.com%7C98afeac929ac4109f7c808dac770cfce%7C3dd8961fe4884e608e11a82d994e183d%7C0%7C0%7C638041584581298848%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&amp;sdata=hLt0PCAOHlOPOUO3WTny8P5I3LMX17r%2FW5J%2FqX5uFfs%3D&amp;reserved=0